import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MTRCameraAVStreamManagementClusterVideoResolutionStruct } from "./MTRCameraAVStreamManagementClusterVideoResolutionStruct.js";
export declare class _MTRCameraAVStreamManagementClusterRateDistortionTradeOffPointsStruct extends _NSObject {
    static alloc(): _MTRCameraAVStreamManagementClusterRateDistortionTradeOffPointsStruct;
    static new(): _MTRCameraAVStreamManagementClusterRateDistortionTradeOffPointsStruct;
    init(): _MTRCameraAVStreamManagementClusterRateDistortionTradeOffPointsStruct;
    codec(): _NSNumber;
    setCodec$(value: _NSNumber): void;
    resolution(): _MTRCameraAVStreamManagementClusterVideoResolutionStruct;
    setResolution$(value: _MTRCameraAVStreamManagementClusterVideoResolutionStruct): void;
    minBitRate(): _NSNumber;
    setMinBitRate$(value: _NSNumber): void;
}
export interface _MTRCameraAVStreamManagementClusterRateDistortionTradeOffPointsStruct extends _NSCopying {
}
